﻿<Project Sdk="Microsoft.NET.Sdk.Razor">
    <PropertyGroup>
        <OutputType>WinExe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <ApplicationIcon>icon.ico</ApplicationIcon>
    </PropertyGroup>
    
    <ItemGroup>
        <PackageReference Include="Costura.Fody" Version="5.7.0">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Fody" Version="6.8.0">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="8.0.4" />
        <PackageReference Include="Microsoft.DotNet.ILCompiler" Version="8.0.4" />
        <PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="8.0.0" />
        <PackageReference Include="Microsoft.NET.ILLink.Tasks" Version="8.0.4" />
        <PackageReference Include="Photino.Blazor" Version="2.7.0" />
    </ItemGroup>

    <ItemGroup>
        <Content Update="wwwroot\**">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>
        
        <None Include="icon.ico">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Shared\Shared.csproj" />
    </ItemGroup>
</Project>
